# GeoAnalyze

GeoAnalyze is a Python package designed to streamline geoprocessing by handling internal complexities and intermediate steps. Conceptualized and launched on October 10, 2024, this package is tailored for users with limited geocoding experience, focusing on desired outputs. Active development is ongoing, with exciting new features planned for future releases. Leveraging open-source geospatial modules of Python, the goal of GeoAnalyze is to empower users by providing high-level geoprocessing tools with fewer lines of code. Currently, the package is in the planning stage and offers the following file operation features for testing purposes:


* File operations

    - Deleting files of the same names in a folder, irrespective of extensions.
 
## Roadmap

* File operations.
* Raster processing.
* Shapefile analysis.
* Watershed delineation.


## Easy Installation

To install, use pip:

```bash
pip install GeoAnalyze
```

## Quickstart
A brief example of how to start:

```python
>>> import GeoAnalyze
>>> file = GeoAnalyze.File()
```

## Documentation

For detailed information, see the [documentation](http://geoanalyze.readthedocs.io/).


## Toolkit

| <big>Status</big> | <big>Description</big> |
| --- | --- |
| **GitHub** | ![GitHub last commit](https://img.shields.io/github/last-commit/debpal/GeoAnalyze) [![flake8](https://github.com/debpal/GeoAnalyze/actions/workflows/linting.yml/badge.svg)](https://github.com/debpal/GeoAnalyze/actions/workflows/linting.yml) [![mypy](https://github.com/debpal/GeoAnalyze/actions/workflows/typing.yml/badge.svg)](https://github.com/debpal/GeoAnalyze/actions/workflows/typing.yml) [![pytest](https://github.com/debpal/GeoAnalyze/actions/workflows/testing.yml/badge.svg)](https://github.com/debpal/GeoAnalyze/actions/workflows/testing.yml) |
| **Read** _the_ **Docs** | [![Documentation Status](https://readthedocs.org/projects/geoanalyze/badge/?version=latest)](https://geoanalyze.readthedocs.io/en/latest/?badge=latest) |
| **License** | ![GitHub License](https://img.shields.io/github/license/debpal/GeoAnalyze) |






